al_fixacos(3)

NAME

al_fixacos - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    al_fixed al_fixacos(al_fixed x);

DESCRIPTION

This function finds the inverse cosine of a value using a lookup table. The input must be a fixed point value. The inverse cosine is defined only in the domain from -1 to 1. Outside of this input range, the function will set Allegro's errno to EDOM and return zero.

Example:

    al_fixed result;
    /* Sets result to binary angle 128. */
    result = al_fixacos(al_itofix(-1));

RETURN VALUE

Returns the inverse sine of a fixed point value, measured as fixed point binary format angle, or zero if the input was out of range. All return values of this function will be in the range 0 to 128.